#!/usr/bin/env python3

import pyotp
import keyring

def enroll_token(token_uri: str) -> None:
    keyring.set_password("unihd", "2fa", token_uri)

def get_otp() -> str:
    mfa_uri = keyring.get_password("unihd", "2fa")
    otp = pyotp.parse_uri(mfa_uri)
    return otp.now()

if __name__ == "__main__":
    print(get_otp())
